//+------------------------------------------------------------------+
//|                                        TestResourceReadImage.mq5 |
//|                              Copyright  2015, Vladimir Karputov |
//|                                           http://wmua.ru/slesar/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2015, Vladimir Karputov"
#property link      "http://wmua.ru/slesar/"
#property version   "1.00"
#property description "Test ResourceReadImage"
#include <Canvas\Canvas.mqh>
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//--- creating a resource
   ResetLastError();
   if(!ResourceCreate("res","\\Files\\Images\\screen.bmp"))
      Print("Error creating a resource ",GetLastError());
   uint res_data[][10];
   uint res_width=0;
   uint res_height=0;
//---  reads data from the graphical resource
   ResetLastError();
   if(!ResourceReadImage("::res",res_data,res_width,res_height))
     {
      Print("Error reads data from the graphical resource ",GetLastError());
      ResetLastError();
      Print("attempt number two");
      if(!ResourceReadImage("::res",res_data,res_width,res_height))
         Print("Error reads data from the graphical resource ",GetLastError());
     }
//--- decomposition of pictures on the components r, g, b
   Print("Size of resource ",ArraySize(res_data));
   Print("Width ",res_width,", Height ",res_height);
   ResourceFree("res");
  }
//+------------------------------------------------------------------+

